Show / Hide Table of Contents

# Class OpenIddictMongoDbToken

Represents an OpenIddict token.

##### Inheritance

System.Object
OpenIddictMongoDbToken

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.MongoDb.Models

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictMongoDbToken

### Properties

#### ApplicationId

Gets or sets the identifier of the application associated with the current token.

##### Declaration

    public virtual ObjectId ApplicationId { get; set; }

##### Property Value

Type | Description
--- | ---
ObjectId |

#### AuthorizationId

Gets or sets the identifier of the authorization associated with the current token.

##### Declaration

    public virtual ObjectId AuthorizationId { get; set; }

##### Property Value

Type | Description
--- | ---
ObjectId |

#### ConcurrencyToken

Gets or sets the concurrency token.

##### Declaration

    public virtual string ConcurrencyToken { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### CreationDate

Gets or sets the UTC creation date of the current token.

##### Declaration

    public virtual DateTime? CreationDate { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.DateTime> |

#### ExpirationDate

Gets or sets the UTC expiration date of the current token.

##### Declaration

    public virtual DateTime? ExpirationDate { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.DateTime> |

#### Id

Gets or sets the unique identifier associated with the current token.

##### Declaration

    public virtual ObjectId Id { get; set; }

##### Property Value

Type | Description
--- | ---
ObjectId |

#### Payload

Gets or sets the payload of the current token, if applicable. Note: this property is only used for reference tokens and may be encrypted for security reasons.

##### Declaration

    public virtual string Payload { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Properties

Gets or sets the additional properties associated with the current token.

##### Declaration

    public virtual BsonDocument? Properties { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<BsonDocument> |

#### RedemptionDate

Gets or sets the UTC redemption date of the current token.

##### Declaration

    public virtual DateTime? RedemptionDate { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.DateTime> |

#### ReferenceId

Gets or sets the reference identifier associated with the current token, if applicable. Note: this property is only used for reference tokens and may be hashed or encrypted for security reasons.

##### Declaration

    public virtual string ReferenceId { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Status

Gets or sets the status of the current token.

##### Declaration

    public virtual string Status { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Subject

Gets or sets the subject associated with the current token.

##### Declaration

    public virtual string Subject { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Type

Gets or sets the type of the current token.

##### Declaration

    public virtual string Type { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |